Utilities

## Functions

void | geos::geom::CoordinateSequence::clear ()
void | geos::geom::CoordinateSequence::reserve (std::size_t capacity)
void | geos::geom::CoordinateSequence::resize (std::size_t capacity)
void | geos::geom::CoordinateSequence::pop_back ()
std::string | geos::geom::CoordinateSequence::toString () const
| Get a string representation of CoordinateSequence.
const CoordinateXY * | geos::geom::CoordinateSequence::minCoordinate () const
| Returns lower-left Coordinate in list.
static CoordinateSequence * | geos::geom::CoordinateSequence::atLeastNCoordinatesOrNothing (std::size_t n, CoordinateSequence *c)
| Returns either the given CoordinateSequence if its length is greater than the given amount, or an empty CoordinateSequence.
static std::size_t | geos::geom::CoordinateSequence::indexOf (const CoordinateXY *coordinate, const CoordinateSequence *cl)
| Return position of a Coordinate.
static bool | geos::geom::CoordinateSequence::equals (const CoordinateSequence *cl1, const CoordinateSequence *cl2)
| Returns true if the two arrays are identical, both null, or pointwise equal in two dimensions.
bool | geos::geom::CoordinateSequence::equalsIdentical (const CoordinateSequence &other) const
| Returns true if the two sequences are identical (pointwise equal in all dimensions, with NaN == NaN).
static void | geos::geom::CoordinateSequence::scroll (CoordinateSequence *cl, const CoordinateXY *firstCoordinate)
| Scroll given CoordinateSequence so to start with given Coordinate.
static int | geos::geom::CoordinateSequence::increasingDirection (const CoordinateSequence &pts)
| Determines which orientation of the `Coordinate` array is (overall) increasing.
void | geos::geom::CoordinateSequence::reverse ()
| Reverse Coordinate order in given CoordinateSequence.
void | geos::geom::CoordinateSequence::sort ()
void | geos::geom::CoordinateSequence::expandEnvelope (Envelope &env) const
void | geos::geom::CoordinateSequence::closeRing (bool allowRepeated=false)

## Detailed Description

## Function Documentation

## expandEnvelope()

void geos::geom::CoordinateSequence::expandEnvelope | ( | Envelope & | env | ) | const

Expands the given Envelope to include the coordinates in the sequence.

Parameters

  env | the envelope to expand

References getCoordinateType().

## increasingDirection()

int geos::geom::CoordinateSequence::increasingDirection | ( | const CoordinateSequence & | pts | ) |

static

Determines which orientation of the `Coordinate` array is (overall) increasing.

In other words, determines which end of the array is "smaller" (using the standard ordering on `Coordinate`). Returns an integer indicating the increasing direction. If the sequence is a palindrome, it is defined to be oriented in a positive direction.

Parameters

  pts | the array of Coordinates to test

Returns
  `1` if the array is smaller at the start or is a palindrome, `-1` if smaller at the end

NOTE: this method is found in CoordinateArrays class for JTS

References CoordinateSequence().

## indexOf()

std::size_t geos::geom::CoordinateSequence::indexOf | ( | const CoordinateXY * | coordinate,
|  | const CoordinateSequence * | cl )

static

Return position of a Coordinate.

or numeric_limits<std::size_t>::max() if not found

References CoordinateSequence().